Package com.io7m.idstore.server.user_view

# Class IdUViewEmailVerificationPermit

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdCommonInstrumentedServlet
com.io7m.idstore.server.user_view.IdUViewEmailVerificationPermit

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public final class IdUViewEmailVerificationPermit extends IdCommonInstrumentedServlet
The endpoint that allows for completing email verification challenges.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUViewEmailVerificationPermit(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  The endpoint that allows for completing email verification challenges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse)`

  ### Methods inherited from class com.io7m.idstore.server.http.IdCommonInstrumentedServlet

  `service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdUViewEmailVerificationPermit

    public IdUViewEmailVerificationPermit(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    The endpoint that allows for completing email verification challenges.
    Parameters:
      `inServices` - The services

- ## Method Details

  - ### service

    protected void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse servletResponse) throws jakarta.servlet.ServletException, IOException
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`